//
//  PSearchField.m
//  Pianopub
//
//  Created by Remi Bernotavicius on 8/29/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "PSearchField.h"


@implementation PSearchField

-(id)initWithCoder:(NSCoder *)aDecoder
{
	if((self = [super initWithCoder:aDecoder]))
	{
		searchField = [[self cell] placeholderString];
	}
	return self;
}

-(NSString*)searchField
{
	return searchField;
}

-(IBAction)setSearchField:(id)sender
{
	searchField = [(NSMenuItem*)sender title];
	[[self cell] setPlaceholderString:searchField];
	NSMenu* menu = [(NSMenuItem*)sender menu];
	
	if(menu != nil)
	{
		int i;
		for(i = 0; i < [menu numberOfItems]; i++)
		{
			[[menu itemAtIndex:i] setState:NSOffState];
		}
		[sender setState:NSOnState];
	}
	
	[[self target] performSelector:[self action] withObject:self];
}

@end
