//
//  PWindow.m
//  Pianopub
//
//  Created by Remi Bernotavicius on 8/30/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "PWindow.h"


@implementation PWindow

-(void)awakeFromNib
{
	//[super awakeFromNib];
	
	//NSLog(@"awoke: %@", self);
	
	if(cornerButton != nil)
	{
		NSButton* zoomButton = [self standardWindowButton:NSWindowZoomButton];
		NSView* titleBar = [zoomButton superview];
		[titleBar addSubview:cornerButton];
		[cornerButton setFrame: NSMakeRect(NSMaxX( [titleBar frame] ) - ([cornerButton frame].size.width + 5.0f),
                                      NSMinY([zoomButton frame]) - 1,
                                      [cornerButton frame].size.width,
                                      [cornerButton frame].size.height )];
	}
}

-(void)orderFront:(id)sender
{
	[super orderFront:sender];

	//NSLog(@"order front %@ %d", self, notFirstTime);
	
	if([[self delegate] respondsToSelector:@selector(windowDidLoad:)] && !notFirstTime)
	{
		notFirstTime = YES;
		[[self delegate] performSelector:@selector(windowDidLoad:) withObject:self];
	}
}

-(IBAction)endSheet:(id)sender
{
	[NSApp endSheet:self];
	[self close];
}

-(IBAction)showAsSheet:(id)sender
{
	[NSApp beginSheet:self modalForWindow:parent modalDelegate:nil didEndSelector:nil contextInfo:nil];
}

@end
