//
//  SelectableToolbar.m
//  Pianopub
//
//  Created by Remi Bernotavicius on 12/31/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "SelectableToolbar.h"


@implementation SelectableToolbar

-(void)awakeFromNib
{
	[tabView setTabViewType:NSNoTabsNoBorder];
	[tabView setFrame:NSMakeRect([tabView frame].origin.x + 9, [tabView frame].origin.y, [tabView frame].size.width - 9, [tabView frame].size.height - 7)];
	[self change:[[self items] objectAtIndex:0]];
}

-(IBAction)change:(id)sender
{
	[self setSelectedItemIdentifier:[(NSToolbarItem*)sender itemIdentifier]];
	[tabView selectTabViewItemAtIndex:[[self items] indexOfObject:sender]];
	[tabView setHidden:YES];
	NSSize size = [[[[[tabView selectedTabViewItem] view] subviews] objectAtIndex:0] frame].size;
	size.height += 75; //toolbar height
	[window setFrame:NSMakeRect([window frame].origin.x, [window frame].origin.y + ([window frame].size.height - size.height), size.width, size.height) display:YES animate:YES];
	[tabView setHidden:NO];
	[window setTitle:[(NSToolbarItem*)sender label]];
}

@end
