//
//  PArrayController.m
//  Pianopub
//
//  Created by Remi Bernotavicius on 8/29/10.
//  Copyright 2010 __MyCompanyName__. All rights reserved.
//

#import "PArrayController.h"


@implementation PArrayController

-(BOOL)hasSelection
{
	return [[self selectedObjects] count] > 0;
}

-(void)willChangeValueForKey:(NSString *)key
{
	if([key isEqual:@"selectionIndexes"])
	{
		[super willChangeValueForKey:@"hasSelection"];
	}
	[super willChangeValueForKey:key];
}

-(void)didChangeValueForKey:(NSString *)key
{
	if([key isEqual:@"selectionIndexes"])
	{
		[super didChangeValueForKey:@"hasSelection"];
	}
	[super didChangeValueForKey:key];
}

@end
